<?
	$filename="photo.txt";
	$file=file($filename);
	$intt=sizeof($file);//总行数
	$pagesize=20;//每页行数
	$jl=2;//每个记录所用行数
$path="./upload/";
require ("global.php");
$page=$intt/$jl;
if ($n>$page) $n=$page;

if ($n<1) $n=1;

$pr=$n+1;
$next=$n-1;

for ($i=0;$i<$intt;$i=$i+$jl)
{
$m=$n."\n";
	if($m==$file[$i])
	{
		$tp=explode("||",$file[$i+1]);
		$name=$tp[0];
		$title1=$tp[5]."(上传时间：".$tp[6].")";
		$date1=$tp[4];
		$home1=$tp[3];
		$photo=$path.$tp[2];
		$imagesize = getimagesize($photo); 
		$x=$imagesize[0];
		$y=$imagesize[1];
		$xx=500;
		$yy=300;
	if ($x/$xx>1 or $y/$yy>1){
		if ($x/$xx>$y/$yy)
		{	$y=$y*$xx/$x;
			$x=$xx;
		}
		else
		{
			$x=$x*$yy/$y;
			$y=$yy;
		}
	}	
eval("dooutput(\"".gettemplate("look")."\");");

		break;
	}//end if 
}//end for
?>